You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     asom...@freebsd.org
Last committer: asom...@freebsd.org
Ident:          $FreeBSD: head/emulators/qemu-utils/Makefile 439132 2017-04-21 
23:47:27Z asomers $
Log URL:        
http://package19.nyi.freebsd.org/data/103i386-default-build-as-user/447379/logs/qemu-utils-2.9.0.log
Build URL:      
http://package19.nyi.freebsd.org/build.html?mastername=103i386-default-build-as-user&build=447379
Log:

====>> Building emulators/qemu-utils
build started at Sat Aug  5 21:59:04 UTC 2017
port directory: /usr/ports/emulators/qemu-utils
building for: FreeBSD 103i386-default-build-as-user-job-28 10.3-RELEASE-p20 
FreeBSD 10.3-RELEASE-p20 i386
maintained by: asom...@freebsd.org
Makefile ident:      $FreeBSD: head/emulators/qemu-utils/Makefile 439132 
2017-04-21 23:47:27Z asomers $
Poudriere version: 3.1.19-61-ga8829ba9
Host OSVERSION: 1200033
Jail OSVERSION: 1003000
Job Id: 28

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1003000
UNAME_v=FreeBSD 10.3-RELEASE-p20
UNAME_r=10.3-RELEASE-p20
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/poudriere/data/.m/103i386-default-build-as-user/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=qemu-utils-2.9.0
OLDPWD=/
PWD=/poudriere/data/.m/103i386-default-build-as-user/ref/.p/pool
MASTERNAME=103i386-default-build-as-user
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.19-61-ga8829ba9
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
GID=0
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for qemu-utils-2.9.0:
     VDE=on: vde dependency (for vde networking)
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--localstatedir=/var --extra-ldflags=-L\"/usr/local/lib\"  --disable-libssh2  
--mandir=/usr/local/man  --prefix=/usr/local --cc=cc --disable-kvm  
--disable-linux-user --disable-linux-aio --disable-xen  
--python=/usr/local/bin/python2.7  
--extra-cflags=-I/wrkdirs/usr/ports/emulators/qemu-utils/work/qemu-2.9.0\ 
-I/usr/local/include\ -DPREFIX=\\\"\"/usr/local\\\"\"  --disable-curl  
--disable-gnutls  --disable-gtk  --disable-vte  --disable-vnc-jpeg  
--disable-opengl  --disable-usb-redir  --disable-sdl  --disable-system  
--disable-user  --disable-guest-agent  --disable-nettle  --disable-gcrypt  
--disable-curses  --disable-vnc  --disable-virtfs  --disable-brlapi  
--disable-fdt  --disable-bluez  --disable-kvm  --disable-rdma  --disable-uuid  
--disable-vde  --disable-netmap  --disable-cap-ng  --disable-attr  
--disable-vhost-net  --disable-spice  --disable-rbd  --disable-libiscsi  
--disable-libnfs  --disable-smartcard  --disable-libusb  --disable-usb-redir  
--disable-lzo  --disable-snappy  --
 disable-bzip2  --disable-seccomp  --disable-coroutine-pool  
--disable-glusterfs  --disable-archipelago  --disable-tpm  --disable-numa  
--disable-blobs  --without-pixman --disable-curl --disable-gnutls --disable-gtk 
--disable-vte --disable-vnc-jpeg --disable-opengl --disable-vnc-png 
--disable-vnc-sasl --disable-usb-redir --disable-sdl
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PKG_CONFIG=pkgconf ac_cv_path_PERL=/usr/local/bin/perl 
ac_cv_path_PERL_PATH=/usr/local/bin/perl  PERL_USE_UNSAFE_INC=1 
PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/emulators/qemu-utils/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/emulators/qemu-utils/work  
HOME=/wrkdirs/usr/ports/emulators/qemu-utils/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
BSD_MAKE="/usr/bin/make" PREFIX=/usr/local BSD_MAKE="/usr/bin/make" V=1 
PERL_USE_UNSAFE_INC=1 
XDG_DATA_HOME=/wrkdirs/usr/ports/emulators/qemu-utils/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/emulators/qemu-utils/work  
HOME=/wrkdirs/usr/ports/emulators/qemu-utils/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644" 
 BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
VDE=""
NO_VDE="@comment
"
CDROM_DMA="@comment
"
NO_CDROM_DMA=""
CURL="@comment
"
NO_CURL=""
DOCS=""
NO_DOCS="@comment
"
GNS3="@comment
"
NO_GNS3=""
GNUTLS="@comment
"
NO_GNUTLS=""
GTK2="@comment
"
NO_GTK2=""
JPEG="@comment
"
NO_JPEG=""
NCURSES="@comment
"
NO_NCURSES=""
OPENGL="@comment
"
NO_OPENGL=""
PCAP="@comment
"
NO_PCAP=""
PNG="@comment
"
NO_PNG=""
SAMBA="@comment
"
NO_SAMBA=""
SASL="@comment
"
NO_SASL=""
STATIC_LINK="@comment
"
NO_STATIC_LINK=""
USBREDIR="@comment
"
NO_USBREDIR=""
X11="@comment
"
NO_X11=""
X86_TARGETS="@comment
"
NO_X86_TARGETS=""
LINUXBOOT_DMA="@comment
"
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd10
PYTHON_PYOEXTENSION=pyo
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_SUFFIX=27
PYTHON_VER=2.7
PYTHON_VERSION=python2.7
PYTHON2=""
PYTHON3="@comment
"
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
OSREL=10.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
PERL_VERSION=5.24.2
PERL_VER=5.24
PERL5_MAN1=lib/perl5/site_perl/man/man1
PERL5_MAN3=lib/perl5/site_perl/man/man3
SITE_PERL=lib/perl5/site_perl
SITE_ARCH=lib/perl5/site_perl/mach/5.24
DOCSDIR="share/doc/qemu"
EXAMPLESDIR="share/examples/qemu"
DATADIR="share/qemu"
WWWDIR="www/qemu"
ETCDIR="etc/qemu"
--End PLIST_SUB--

--SUB_LIST--
VDE=""
NO_VDE="@comment
"
CDROM_DMA="@comment
"
NO_CDROM_DMA=""
CURL="@comment
"
NO_CURL=""
DOCS=""
NO_DOCS="@comment
"
GNS3="@comment
"
NO_GNS3=""
GNUTLS="@comment
"
NO_GNUTLS=""
GTK2="@comment
"
NO_GTK2=""
JPEG="@comment
"
NO_JPEG=""
NCURSES="@comment
"
NO_NCURSES=""
OPENGL="@comment
"
NO_OPENGL=""
PCAP="@comment
"
NO_PCAP=""
PNG="@comment
"
NO_PNG=""
SAMBA="@comment
"
NO_SAMBA=""
SASL="@comment
"
NO_SASL=""
STATIC_LINK="@comment
"
<snip>
ETCDIR=/usr/local/etc/qemu
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=i386
CONFIGURE_MAX_CMD_LEN=262144
OPSYS=FreeBSD
OSREL=10.3
OSVERSION=1003000
PYTHONBASE=/usr/local
_JAVA_OS_LIST_REGEXP=native|linux
_JAVA_VENDOR_LIST_REGEXP=openjdk|oracle|sun
_JAVA_VERSION_LIST_REGEXP=1.6|1.7|1.8|1.6\+|1.7\+|1.8\+
_OSRELEASE=10.3-RELEASE-p20
#### Misc Poudriere ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  524288
stack size              (kbytes, -s)  65536
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
sbsize                   (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   qemu-utils-2.9.0 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.1.txz
[103i386-default-build-as-user-job-28] Installing pkg-1.10.1...
[103i386-default-build-as-user-job-28] Extracting pkg-1.10.1: .......... done
===>   qemu-utils-2.9.0 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of qemu-utils-2.9.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by qemu-utils-2.9.0 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by qemu-utils-2.9.0 for building
=> SHA256 Checksum OK for qemu/2.9.0/qemu-2.9.0.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by qemu-utils-2.9.0 for building
===>  Extracting for qemu-utils-2.9.0
=> SHA256 Checksum OK for qemu/2.9.0/qemu-2.9.0.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for qemu-utils-2.9.0
===>  Applying extra patch /usr/ports/emulators/qemu-utils/files/patch-Makefile
===>  Applying extra patch /usr/ports/emulators/qemu-utils/files/patch-configure
===>  Applying FreeBSD patches for qemu-utils-2.9.0
===========================================================================
=======================<phase: build-depends  >============================
===>   qemu-utils-2.9.0 depends on executable: texi2html - not found
===>   Installing existing package /packages/All/texi2html-5.0_1,1.txz
[103i386-default-build-as-user-job-28] Installing texi2html-5.0_1,1...
[103i386-default-build-as-user-job-28] `-- Installing 
gettext-runtime-0.19.8.1_1...
[103i386-default-build-as-user-job-28] |   `-- Installing indexinfo-0.2.6...
[103i386-default-build-as-user-job-28] |   `-- Extracting indexinfo-0.2.6: .... 
done
[103i386-default-build-as-user-job-28] `-- Extracting 
gettext-runtime-0.19.8.1_1: .......... done
[103i386-default-build-as-user-job-28] `-- Installing perl5-5.24.2...
[103i386-default-build-as-user-job-28] `-- Extracting perl5-5.24.2: .......... 
done
[103i386-default-build-as-user-job-28] Extracting texi2html-5.0_1,1: .......... 
done
Message from perl5-5.24.2:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   qemu-utils-2.9.0 depends on executable: texi2html - found
===>   Returning to build of qemu-utils-2.9.0
===>   qemu-utils-2.9.0 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.2.1_1.txz
[103i386-default-build-as-user-job-28] Installing gmake-4.2.1_1...
[103i386-default-build-as-user-job-28] Extracting gmake-4.2.1_1: .......... done
===>   qemu-utils-2.9.0 depends on executable: gmake - found
===>   Returning to build of qemu-utils-2.9.0
===>   qemu-utils-2.9.0 depends on package: pkgconf>=1.3.0_1 - not found
===>   Installing existing package /packages/All/pkgconf-1.3.7,1.txz
[103i386-default-build-as-user-job-28] Installing pkgconf-1.3.7,1...
[103i386-default-build-as-user-job-28] Extracting pkgconf-1.3.7,1: .......... 
done
===>   qemu-utils-2.9.0 depends on package: pkgconf>=1.3.0_1 - found
===>   Returning to build of qemu-utils-2.9.0
===>   qemu-utils-2.9.0 depends on file: /usr/local/bin/python2.7 - not found
===>   Installing existing package /packages/All/python27-2.7.13_7.txz
[103i386-default-build-as-user-job-28] Installing python27-2.7.13_7...
[103i386-default-build-as-user-job-28] `-- Installing libffi-3.2.1...
[103i386-default-build-as-user-job-28] `-- Extracting libffi-3.2.1: .......... 
done
[103i386-default-build-as-user-job-28] `-- Installing readline-7.0.3...
[103i386-default-build-as-user-job-28] `-- Extracting readline-7.0.3: 
.......... done
[103i386-default-build-as-user-job-28] Extracting python27-2.7.13_7: .......... 
done
Message from python27-2.7.13_7:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
===>   qemu-utils-2.9.0 depends on file: /usr/local/bin/python2.7 - found
===>   Returning to build of qemu-utils-2.9.0
===>   qemu-utils-2.9.0 depends on executable: python2 - not found
===>   Installing existing package /packages/All/python2-2_3.txz
[103i386-default-build-as-user-job-28] Installing python2-2_3...
[103i386-default-build-as-user-job-28] Extracting python2-2_3: ...... done
===>   qemu-utils-2.9.0 depends on executable: python2 - found
===>   Returning to build of qemu-utils-2.9.0
===>   qemu-utils-2.9.0 depends on package: perl5>=5.24<5.25 - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   qemu-utils-2.9.0 depends on shared library: libvdeplug.so - not found
===>   Installing existing package /packages/All/vde2-2.3.2_2.txz
[103i386-default-build-as-user-job-28] Installing vde2-2.3.2_2...
[103i386-default-build-as-user-job-28] Extracting vde2-2.3.2_2: .......... done
Message from vde2-2.3.2_2:
===>   NOTICE:

The vde2 port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===>   qemu-utils-2.9.0 depends on shared library: libvdeplug.so - found 
(/usr/local/lib/libvdeplug.so)
===>   Returning to build of qemu-utils-2.9.0
===>   qemu-utils-2.9.0 depends on shared library: libintl.so - found 
(/usr/local/lib/libintl.so)
===>   qemu-utils-2.9.0 depends on shared library: libglib-2.0.so - not found
===>   Installing existing package /packages/All/glib-2.50.2_4,1.txz
[103i386-default-build-as-user-job-28] Installing glib-2.50.2_4,1...
[103i386-default-build-as-user-job-28] `-- Installing libiconv-1.14_10...
[103i386-default-build-as-user-job-28] `-- Extracting libiconv-1.14_10: 
.......... done
[103i386-default-build-as-user-job-28] `-- Installing pcre-8.40_1...
[103i386-default-build-as-user-job-28] `-- Extracting pcre-8.40_1: .......... 
done
[103i386-default-build-as-user-job-28] Extracting glib-2.50.2_4,1: .......... 
done
No schema files found: doing nothing.
===>   qemu-utils-2.9.0 depends on shared library: libglib-2.0.so - found 
(/usr/local/lib/libglib-2.0.so)
===>   Returning to build of qemu-utils-2.9.0
===>   qemu-utils-2.9.0 depends on shared library: libintl.so - found 
(/usr/local/lib/libintl.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for qemu-utils-2.9.0
./configure: --disable-uuid is obsolete, UUID support is always built
ERROR: unknown option --disable-archipelago
Try './configure --help' for more information
===>  Script "configure" failed unexpectedly.
Please report the problem to asom...@freebsd.org [maintainer] and attach the
"/wrkdirs/usr/ports/emulators/qemu-utils/work/qemu-2.9.0/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/emulators/qemu-utils
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to